int maxArray(int x[], int length)
{
  int max = x[0];
  for(int i = 1; i < length; i++)
  {
    if(x[i] > max)
    {
      max = x[i];
    }
  }
  return max;
}

double linearInterpolation(double x, double t[][2], int length)
{
  int next = -1;
  for(int i = 0; i < length; i++)
  {
    if(x < t[i][0])
    {
      next = i;
      break;
    }
  }
  int prev = next-1;
  
  // TODO: Was passiert am Rand?
  
  return (t[next][1]-t[prev][1])/(t[next][0]-t[prev][0])*(x-t[prev][0]) + t[prev][1];
}  

int main( void )
{
  int a[] = {12, 23, 65, 32, 87, 32, 76};

  int z = maxArray(a, 7);
  
  double b[][2] = {{1,  3},
                  {2,  5},
                  {7, 13}};
  
  double y = linearInterpolation(2, b, 3);
  y = linearInterpolation(2.14, b, 3);
  y = linearInterpolation(4.5, b, 3);

  
  
  
  
  
  return 0;
}
